Get Patient
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/patients/{patient_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/patients/{patient_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/patients/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"patient_specialties": [
"PHYSICAL_THERAPY"
],
"status": "INTAKE",
"provider_service_location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_code": "<string>",
"silna_url": "<string>",
"source_id": null,
"address_line_1": null,
"address_line_2": null,
"city": null,
"state": null,
"zip_code": null,
"sex": null,
"patient_specialty_details": null,
"patient_diagnosis_ids": null,
"patient_place_of_service_ids": null
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Patients
Get Patient
GET
/
public
/
v1
/
patients
/
{patient_id}
Get Patient
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Patient Response Schema
Patient Response Schema
Patient's first name
Patient's last name
Patient's date of birth
Patient's specialties. A patient can have multiple
Available options:
PHYSICAL_THERAPY, ABA_THERAPY, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PSYCHOLOGICAL_TESTING, HOME_HEALTH_CARE, HOSPICE, CARDIAC_REHABILITATION, INTENSIVE_CARDIAC_REHABILITATION, MENTAL_HEALTH, PRINCIPAL_ILLNESS_NAVIGATION, PRINCIPAL_CARE_MANAGEMENT, ADVANCED_PRIMARY_CARE_MODELS, PREVENTATIVE_HEALTH, PARTIAL_HOSPITALIZATION_PROGRAM, INTENSIVE_OUTPATIENT_PROGRAM, INTERVENTIONAL_RADIOLOGY, VASCULAR_SURGERY, INTERVENTIONAL_CARDIOLOGY, ORTHOPEDICS, CHIROPRACTIC, GYNECOLOGY, LONG_TERM_CARE, NUTRITIONAL_COUNSELING, PHYSICAL_MEDICINE, PULMONARY_REHABILITATION, INJECTABLE_SPECIALTY_MEDICATIONS, ALLERGY_TESTING, SKILLED_NURSING, RADIOLOGY, OTOLARYNGOLOGY, DURABLE_MEDICAL_EQUIPMENT, DERMATOLOGY, PROFESSIONAL_OFFICE_VISIT, PSYCHIATRY, PRIVATE_DUTY_NURSING Patient's status
Available options:
INTAKE, ACTIVE, DISCHARGED, ON_HOLD Provider Service Location ID (where the patient receives service)
Patient's code. This is auto-generated by the system
URL to view this patient in the Silna Health app
Patient's EHR ID (or other unique identifier) that you have in your system
Patient's street address
Maximum string length:
255Patient's apartment, suite, unit, etc.
Maximum string length:
255Patient's city
Maximum string length:
255Patient's state
Maximum string length:
255Patient's zip code. Empty strings are not allowed
Patient's sex
Available options:
MALE, FEMALE Detailed specialty info including therapy type per specialty
Show child attributes
Show child attributes